# Flockitrack

Firefox extension for tracking time for tickets in YouTrack in Clockify.

## Features

- Track time directly from YouTrack tickets
- Automatically fill in ticket information
- Seamless integration with Clockify
- Easy-to-use interface

## Installation

### Development Installation

1. Clone this repository:
   ```
   git clone git@git.nixc.us:colin/flockitrack.git
   cd flockitrack
   ```

2. Open Firefox and navigate to `about:debugging`
3. Click "This Firefox"
4. Click "Load Temporary Add-on..."
5. Select the `manifest.json` file from the cloned repository

### Production Installation

The extension will be available on the Firefox Add-ons store once it's published.

## Usage

1. Click on the Flockitrack icon in your browser toolbar
2. Enter your Clockify API key (found in your Clockify user settings)
3. Navigate to a YouTrack ticket
4. Use the extension to start tracking time for the ticket

## Development

This extension is a port of the original Chrome extension for Clockify + YouTrack integration, adapted to work with Firefox.

### Key Changes from Chrome Version

- Updated manifest to version 2 (Firefox compatible)
- Added Firefox-specific settings
- Changed from `action` to `browser_action`
- Changed from service worker to background scripts
- Moved host permissions into the permissions array

## License

[MIT License](LICENSE)

## Credits

Based on the original Clockify Extension by AE Now.